<?php
/******************************************************************************************/
/* SPL-Tracking permet de consulter le tracking des newsletters mises                    */
/* par un gestionnaire d'envoi de lettres d'informations/newsletters                      */
/* SPL-Tracking est lgrement inspir du plugin SPIP-listes ( http://bloog.net)          */
/* SPL-Tracking: (C) 2006 Pierre DALLIER pierre.dallier<at>zeos-france.fr                 */
/*                                                                                        */
/* Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes */
/* de la Licence Publique Gnrale GNU publie par la Free Software Foundation            */
/* (version 2).                                                                           */
/*                                                                                        */
/* Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE,       */
/* ni explicite ni implicite, y compris les garanties de commercialisation ou             */
/* d'adaptation dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU  */
/* pour plus de dtails.                                                                  */
/*                                                                                        */
/* Vous devez avoir reu une copie de la Licence Publique Gnrale GNU                    */
/* en mme temps que ce programme ; si ce n'est pas le cas, crivez  la                  */
/* Free Software Foundation,                                                              */
/* Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.                   */
/******************************************************************************************/


if (!defined("_ECRIRE_INC_VERSION")) return;

include_spip('inc/presentation');
include_spip('inc/spl_tracking_affichage');
include_spip('spl_tracking_mes_fonctions');

function exec_spl_tracking()
{

include_ecrire ("inc_acces.php3");
include_ecrire ("inc_filtres.php3");
include_ecrire ("inc_config.php3");
include_ecrire ("inc_barre.php3");

include_ecrire ("inc_logos.php3");
include_ecrire ("inc_mots.php3");
include_ecrire ("inc_documents.php3");

global $connect_statut;
global $connect_toutes_rubriques;
global $connect_id_auteur;
//global $supp_dest,$detruire_message;
 
$nomsite=lire_meta("nom_site"); 
$urlsite=lire_meta("adresse_site"); 

 
// Admin SPIP-Listes
debut_page("SPL-Tracking", "redacteurs", "spl_tracking");

//creation de la table spip_messages_stats si besoin
spl_tracking_create_tables();

// bien install ?
if (!function_exists(spl_tracking_onglets)){
    echo("<h3>erreur: spl_tracking est mal install !</h3>");    
    fin_page();
    exit;
}

if ($connect_statut != "0minirezo" ) {
	echo "<p><b>"._T('spl_tracking:acces_a_la_page')."</b></p>";
	fin_page();
	exit;
}

if (($connect_statut == "0minirezo") OR ($connect_id_auteur == $id_auteur)) {
	$statut_auteur=$statut;
	spl_tracking_onglets("barrespltracking", "SPL Tracking");
}

debut_gauche();

spl_tracking_info();

creer_colonne_droite();

debut_droite("messagerie");

// PAGE ACCUEIL SPL_TRACKING FIN ---------------------------------------------------------
echo "<div style='font-family: Arial, Verdana,sans-serif;font-size:10px;font-weight:bold;background-color:orange;'>".$GLOBALS['spl_tracking_version']."</div>" ;

$messages_vus = '';
spl_tracking_nombre_affichage_par_newsletter();
spl_tracking_top_50();
spl_tracking_top_50_par_newsletter();
spl_tracking_top_10_domaines();
//fin_cadre_enfonce();
echo "<br /><br />";


// PAGE ACCUEIL SPL_TRACKING FIN ---------------------------------------------------------

//echo "<p style='font-family: Arial, Verdana,sans-serif;font-size:10px;font-weight:bold'>".$GLOBALS['spl_tracking_version']."<p>" ;

fin_page();

}
/******************************************************************************************/
/* SPL-Tracking permet de consulter le tracking des newsletters mises                    */
/* par un gestionnaire d'envoi de lettres d'informations/newsletters                      */
/* SPL-Tracking est lgrement inspir du plugin SPIP-listes ( http://bloog.net)          */
/* SPL-Tracking: (C) 2006 Pierre DALLIER pierre.dallier<at>zeos-france.fr		  */ 
/*                                                                                        */
/* Ce programme est libre, vous pouvez le redistribuer et/ou le modifier selon les termes */
/* de la Licence Publique Gnrale GNU publie par la Free Software Foundation            */
/* (version 2).                                                                           */
/*                                                                                        */
/* Ce programme est distribu car potentiellement utile, mais SANS AUCUNE GARANTIE,       */
/* ni explicite ni implicite, y compris les garanties de commercialisation ou             */
/* d'adaptation dans un but spcifique. Reportez-vous  la Licence Publique Gnrale GNU  */
/* pour plus de dtails.                                                                  */
/*                                                                                        */
/* Vous devez avoir reu une copie de la Licence Publique Gnrale GNU                    */
/* en mme temps que ce programme ; si ce n'est pas le cas, crivez  la                  */
/* Free Software Foundation,                                                              */
/* Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307, tats-Unis.                   */
/******************************************************************************************/
?>
